package com.rjconsultores.ventaboletos.dao.hibernate;

import org.hibernate.Criteria;
import org.hibernate.SessionFactory;
import org.hibernate.criterion.Restrictions;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.stereotype.Repository;

import com.rjconsultores.ventaboletos.dao.TipoIdentificacionDAO;
import com.rjconsultores.ventaboletos.entidad.TipoIdentificacion;

@Repository("tipoIdentificacionDAO")
public class TipoIdentificacionHibernateDAO extends GenericHibernateDAO<TipoIdentificacion, Integer> implements TipoIdentificacionDAO {
	
	@Autowired
	public TipoIdentificacionHibernateDAO(@Qualifier("sessionFactory") SessionFactory factory) {
		setSessionFactory(factory);
	}

	@Override
	public TipoIdentificacion buscarPorNome(String descTipoDoc) {
		Criteria c = getSession().createCriteria(getPersistentClass());
        c.add(Restrictions.eq("desctipo", descTipoDoc));
        c.add(Restrictions.eq(ACTIVO, Boolean.TRUE));
        return (TipoIdentificacion) c.uniqueResult();
	}
	
}
